import QtQuick 2.0
import QtQuick.Layouts 1.12
import QtQuick.Controls 2.5
import org.ukui.menu.core 1.0

MouseArea {
    id: control
    hoverEnabled: true
    ToolTip.text: comment
    ToolTip.visible: control.containsMouse
    ToolTip.delay: 500
    states: State {
        when: control.activeFocus
        PropertyChanges {
            target: controlBase
            borderColor: Palette.Highlight
            border.width: 2
        }
    }
    StyleBackground {
        id: controlBase
        anchors.fill: parent
        radius: 4
        useStyleTransparent: false
        alpha: control.containsPress ? 0.82 : control.containsMouse ? 0.55 : 0.00

        RowLayout {
            anchors.fill: parent
            StyleText {
                Layout.preferredHeight:  parent.height
                Layout.preferredWidth: contentWidth
                Layout.leftMargin: 12

                horizontalAlignment: Qt.AlignLeft
                verticalAlignment: Qt.AlignVCenter
                font.bold: true
                text: name
            }

            Image {
                visible: control.containsMouse
                Layout.alignment: Qt.AlignRight | Qt.AlignVCenter
                Layout.preferredWidth: 24
                Layout.preferredHeight: 24
                Layout.rightMargin: 16
                source: "image://appicon/open-menu-symbolic"
            }
        }
    }
}
